#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Counter/include/Counter.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace counter {

  string Counter::statistics (uint32_t depth)
  {
    log_printf(FUNC,Counter,"statistics","Begin");

    string txt = _stat->print(depth);

    log_printf(FUNC,Counter,"statistics","End");

    return txt;
  };

}; // end namespace counter
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
